Bug 113332 - Mounting an NFS disk in Anaconda %post script causes problems
Mounting an NFS disk in Anaconda %post script causes problems
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 14:54 EST by Joshua Weage
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 15:27:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Weage 2004-01-12 14:54:13 EST
Description of problem:
When I attempt to mount an NFS directory in an Anaconda %post script,
I get the following messages on VC 3 or 4:

portmap: server localhost not responding, timed out
portmap: server localhost not responding, timed out
lockd-up: makesock failed, error 5
portmap: server localhost not responding, timed out

This happens on every machine that is kickstarted.  It also occurs on
every version of RedHat Linux from 7.3 on.

It takes about 5 minutes to produce those four error messages, after
which the %post script continues on and works properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to mount NFS disk in an Anaconda %post script
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2004-01-13 15:27:13 EST
You either need to mount with -o nolock or start a portmapper first. 
There's no portmapper running in the installer environment.

Note You need to log in before you can comment on or make changes to this bug.